=== debian/changelog ===
osm2pgrouting (2.1.0-1) unstable; urgency=medium

  * New upstream release.
    (closes: #822991)
  * Restructure control file with cme.
  * Change maintainer to Debian GIS team.
  * Add myself to Uploaders.
  * Use optional priority to match pgrouting.
  * Bump debhelper compatibility to 9.
  * Use minimal dh rules instead of cdbs, changes:
    - Enable parallel builds
    - Enable all hardening buildflags
    - Override dh_install to use --list-missing
  * Add watch file for GitHub releases.
  * Add build dependency on libboost-program-options-dev.
  * Update copyright file, changes:
    - Use standalone license paragraph for GPL-2+
    - Add copyright holders
    - Add license & copyright for cpplint.py & FindPostgreSQL.cmake
  * Use source format 3.0 (quilt).
  * Add patch to fix spelling errors.
  * Fix description synopsis phrasing.
  * Don't install extra license file.
  * Add upstream metadata.
  * Add Vcs-* control fields.
  * Bump Standards-Version to 3.9.8, changes: Vcs-* fields.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Apr 2016 20:40:41 +0200

osm2pgrouting (2.0.0-release-ppa1~trusty1) trusty; urgency=medium

  * Rebuild for trusty

 -- Daniel Kastl (Georepublic) <daniel@georepublic.de>  Wed, 23 Apr 2014 22:20:34 +0900

osm2pgrouting (2.0.0-release-ppa1~precise2) precise; urgency=medium

  * changed RUNTIME DESTINATION target

 -- Daniel Kastl (Georepublic) <daniel@georepublic.de>  Sun, 23 Feb 2014 05:53:29 +0900

osm2pgrouting (2.0.0-release-ppa1~saucy1) saucy; urgency=medium

  * Imported Upstream version 2.0.0-release
  * Cleaned up and updated Debian directory

 -- Daniel Kastl (Georepublic) <daniel@georepublic.de>  Sun, 22 Sep 2013 11:22:58 +0900

osm2pgrouting (2.0.0-beta-ppa4) quantal; urgency=medium

  [ Daniel Kastl (Georepublic) ]
  * Imported Upstream version 2.0.0-beta2

 -- Daniel Kastl (Georepublic) <daniel@georepublic.de>  Sat, 29 Jun 2013 09:12:59 +0900

osm2pgrouting (2.0.0-beta-ppa3) quantal; urgency=medium

  [ Daniel Kastl (Georepublic) ]
  * Imported Upstream version 2.0.0-beta

 -- Daniel Kastl (Georepublic) <daniel@georepublic.de>  Mon, 24 Jun 2013 13:39:21 +0900

osm2pgrouting (2.0.0-alpha-ppa2) raring; urgency=medium

  [ Daniel Kastl (Georepublic) ]
  * Imported Upstream version 2.0.0-alpha
  * Updated debian packaging documents
  * Changed to CDBS

 -- Daniel Kastl (Georepublic) <daniel@georepublic.de>  Tue, 18 Jun 2013 16:31:41 +0900

osm2pgrouting (0.1-6) natty; urgency=low

  * Package for Natty

 -- Daniel Kastl <daniel@georepublic.de>  Tue, 21 Jun 2011 17:22:52 +0900

osm2pgrouting (0.1-5) maverick; urgency=low

  * Increased build number because of build problems in Launchpad (no changes)

 -- Daniel Kastl <daniel@georepublic.de>  Thu, 25 Nov 2010 11:45:14 +0900

osm2pgrouting (0.1-4) lucid; urgency=low

  * Added copyright information
  * Added long package description

 -- Daniel Kastl <daniel@georepublic.de>  Fri, 02 Jul 2010 01:53:09 +0900

osm2pgrouting (0.1-3) lucid; urgency=low

  * Set section to utils

 -- Frederic Junod <frederic.junod@camptocamp.com>  Wed, 30 Jun 2010 16:02:11 +0200

osm2pgrouting (0.1-2) lucid; urgency=low

  * Set distroseries to lucid.

 -- Frederic Junod <frederic.junod@camptocamp.com>  Wed, 30 Jun 2010 15:58:17 +0200

osm2pgrouting (0.1-1) unstable; urgency=low

  * Initial release

 -- Frederic Junod <frederic.junod@camptocamp.com>  Wed, 30 Jun 2010 08:55:33 +0200
