=== debian/control ===
Source: osm2pgrouting
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Daniel Kastl <daniel@georepublic.de>,
           Bas Couwenberg <sebastic@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libboost-graph-dev,
               libboost-program-options-dev,
               libexpat1-dev,
               libpq-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osm2pgrouting.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osm2pgrouting.git
Homepage: https://github.com/pgRouting/osm2pgrouting

Package: osm2pgrouting
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Tool to import OpenStreetMap data into a pgRouting database
 osm2pgrouting is a command line tool that makes it easy to import
 OpenStreetMap data into a pgRouting database. It builds the routing
 network topology automatically and creates tables for feature types and
 road classes. pgRouting has to be installed to be able to run
 osm2pgrouting.
