=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install

	# Don't install extra license file
	$(RM) debian/*/usr/share/osm2pgrouting/COPYING

override_dh_install:
	dh_install --list-missing
