=== debian/changelog ===
osm2pgrouting (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file, changes:
    - Update copyright holders
    - Add license & copyright for fix_typos.sh
  * Drop spelling-errors.patch, applied upstream.
  * Update AUTHORS filename in copyright and docs files.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Nov 2016 00:53:34 +0100

osm2pgrouting (2.1.0-2) unstable; urgency=medium

  * Add manpage for osm2pgrouting.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Aug 2016 10:53:18 +0200
