=== debian/control ===
--- 
+++ 
@@ -9,7 +9,11 @@
                libboost-graph-dev,
                libboost-program-options-dev,
                libexpat1-dev,
-               libpq-dev
+               libpq-dev,
+               docbook2x,
+               docbook-xsl,
+               docbook-xml,
+               xsltproc
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osm2pgrouting.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osm2pgrouting.git
