=== debian/changelog ===
osm2pgrouting (2.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Add libosmium2-dev to build dependencies.
  * Bump Standards-Version to 4.1.2, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Dec 2017 07:44:25 +0100

osm2pgrouting (2.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Oct 2017 07:22:10 +0200

osm2pgrouting (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop spelling-errors.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Oct 2017 10:33:37 +0200

osm2pgrouting (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Add autopkgtest to test installability.
  * Bump Standards-Version to 4.1.1, no changes.
  * Update copyright years for pgRouting Contributors.
  * Add libpqxx-dev to build dependencies.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Oct 2017 18:20:32 +0200
