=== debian/control ===
--- 
+++ 
@@ -9,12 +9,14 @@
                libboost-graph-dev,
                libboost-program-options-dev,
                libexpat1-dev,
+               libosmium2-dev,
                libpq-dev,
+               libpqxx-dev,
                docbook2x,
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osm2pgrouting.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osm2pgrouting.git
 Homepage: https://github.com/pgRouting/osm2pgrouting
