## osm2pgrouting 2.3.5

=== debian/changelog ===
osm2pgrouting (2.3.5-1build2) cosmic; urgency=medium

  * No-change rebuild for libpqxx soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Aug 2018 05:08:33 +0000

osm2pgrouting (2.3.5-1build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:01:49 +0000

osm2pgrouting (2.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.4, no changes.
  * Strip trailing whitespace from rules file.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 May 2018 08:22:14 +0200

osm2pgrouting (2.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.3, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Apr 2018 07:10:42 +0200
