=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osm2pgrouting.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osm2pgrouting.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/osm2pgrouting
+Vcs-Git: https://salsa.debian.org/debian-gis-team/osm2pgrouting.git
 Homepage: https://github.com/pgRouting/osm2pgrouting
 
 Package: osm2pgrouting
