=== debian/rules ===
--- 
+++ 
@@ -36,4 +36,3 @@
 
 override_dh_install:
 	dh_install --list-missing
-
