=== debian/changelog ===
osm2pgrouting (2.3.6-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes.
  * Use ODbL-1.0 license shortname to match SPDX.
  * Update watch file to limit matches to archive path.
  * Remove documentation outside usr/share/doc.

  [ Christoph Berg ]
  * debian/tests: Do an actual import into PostgreSQL.
    (The old installability test was not enough, see #904942.)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 29 Nov 2018 12:46:53 +0100
