=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osm2pgrouting
 Vcs-Git: https://salsa.debian.org/debian-gis-team/osm2pgrouting.git
 Homepage: https://github.com/pgRouting/osm2pgrouting
