=== debian/rules ===
--- 
+++ 
@@ -34,5 +34,8 @@
 	# Don't install extra license file
 	$(RM) debian/*/usr/share/osm2pgrouting/COPYING
 
+	# Remove documentation outside usr/share/doc
+	$(RM) debian/*/usr/share/osm2pgrouting/Readme.md
+
 override_dh_install:
 	dh_install --list-missing
