=== debian/tests/control ===
Depends: @, postgresql, postgresql-postgis, postgresql-postgis-scripts
Tests: osm2pgrouting
Restrictions: allow-stderr
