=== debian/changelog ===
osm2pgrouting (2.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update README filename in docs.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Feb 2021 06:02:38 +0100

osm2pgrouting (2.3.6-3) unstable; urgency=medium

  * Don't append -DNDEBUG to CXXFLAGS, disables dbConnection.install_postGIS.
  * Add lintian overrides for file-references-package-build-path.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 23 Oct 2020 21:10:58 +0200

osm2pgrouting (2.3.6-2) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.5.0, no changes.
  * Append -DNDEBUG to CXXFLAGS to remove buildpath from binaries.
  * Update gbp.conf to use --source-only-changes by default.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default

  [ Christoph Berg ]
  * Test-depend only on postgresql-postgis so the test doesn't get confused
    when "postgresql" changes version.

 -- Christoph Berg <myon@debian.org>  Wed, 14 Oct 2020 22:18:18 +0200
