=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libboost-graph-dev,
                libboost-program-options-dev,
@@ -16,10 +16,11 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.2.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osm2pgrouting
 Vcs-Git: https://salsa.debian.org/debian-gis-team/osm2pgrouting.git
 Homepage: https://github.com/pgRouting/osm2pgrouting
+Rules-Requires-Root: no
 
 Package: osm2pgrouting
 Architecture: any
