=== debian/tests/control ===
Depends: @, postgresql-postgis
Tests: osm2pgrouting
Restrictions: allow-stderr
