## osm2pgrouting 2.3.9

=== debian/changelog ===
osm2pgrouting (2.3.9-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Drop gcc-15.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 23 Oct 2025 19:15:34 +0200

osm2pgrouting (2.3.8-4) unstable; urgency=medium

  * Bump Standards-Version to 4.7.2, no changes.
  * Fix old FSF address in copyright file.
  * Add patch to fix FTFBS with GCC 15 & Boost 1.88.
    (closes: #1110600)
  * Add patch to fix FTBFS with CMake 4.x.
    (closes: #1113378)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Sep 2025 09:30:22 +0200
