=== debian/rules ===
--- 
+++ 
@@ -14,28 +14,18 @@
 MANPAGES := $(wildcard debian/man/*.*.xml)
 
 %:
-	dh $@ --parallel
+	dh $@
 
-override_dh_clean:
-	dh_clean debian/man/*.1
-
-override_dh_auto_build:
+execute_before_dh_auto_build:
 	# Create man page from DocBook XML
 	for x in $(MANPAGES) ; do \
 	    docbook2x-man --string-param header-3="$(BUILD_DATE)" $$x ; \
 	    mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
 	done
 
-	dh_auto_build
-
-override_dh_auto_install:
-	dh_auto_install
-
+execute_after_dh_auto_install:
 	# Don't install extra license file
 	$(RM) debian/*/usr/share/osm2pgrouting/COPYING
 
 	# Remove documentation outside usr/share/doc
 	$(RM) debian/*/usr/share/osm2pgrouting/Readme.md
-
-override_dh_install:
-	dh_install --list-missing
