=== tools/doxygen/Makefile ===
all:  doxygen

doxygen:
	mkdir -p ../../build/doxy/
	doxygen
