=== debian/changelog ===
osm2pgrouting (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Drop cmake-4.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 02 Nov 2025 07:48:35 +0100
