=== debian/control ===
--- 
+++ 
@@ -16,11 +16,10 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osm2pgrouting
 Vcs-Git: https://salsa.debian.org/debian-gis-team/osm2pgrouting.git
 Homepage: https://github.com/pgRouting/osm2pgrouting
-Rules-Requires-Root: no
 
 Package: osm2pgrouting
 Architecture: any
